Bug 46721 - 2.1/UCR proxy settings not applied in firefox
2.1/UCR proxy settings not applied in firefox
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: UCS Integration
UCC 2.1
Other Linux
: P5 normal
: UCC 2.1-errata
Assigned To: Erik Damrose
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-21 16:55 CET by Erik Damrose
Modified: 2018-03-28 10:49 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 5: Major Usability: Impairs usability in key scenarios
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 4: A User would return the product
User Pain: 0.229
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?:
Waiting Support: Yes
Ticket number: 2018032021000527
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2018-03-21 16:55:34 CET
Backport to UCC 2.1

+++ This bug was initially created as a clone of Bug #46716 +++

univention-ucc-proxy-settings applies proxy settings that are set via UCR to the firefox default settings.

Currently, no proxy settings are applied at all to firefox (v59.x)

Apparently, the mechanism in firefox has changed, so only 'pref' Options are allowed in /usr/lib/firefox/defaults/pref/*js files. Proxy settings that are distributed via UCR should not be changeable by the end user, so the 'lockPref' option should be used.

https://developer.mozilla.org/de/Firefox/Nutzung_in_Unternehmen shows that one has to configure any other setting than 'pref' in a cfg file in the firefox binary dir /usr/lib/firefox
Comment 1 Erik Damrose univentionstaff 2018-03-21 17:02:39 CET
e60fb2cc + 38f57243 Fix lockPref proxy settings not being applied
de37da4 yaml

univention-ucc-proxy-settings 3.0.0-2.13.201803211659
Comment 2 Felix Botner univentionstaff 2018-03-26 13:35:03 CEST
OK - univention-ucc-proxy-settings
OK - YAML
Comment 3 Erik Damrose univentionstaff 2018-03-28 10:49:21 CEST
http://errata.software-univention.de/ucc/2.1/3.html